### Method

# Camel StoreDBMessageRecord clear

since: 3.58

#### Declaration [src]

    void
    camel_store_db_message_record_clear (
      CamelStoreDBMessageRecord* self
    )

#### Description [src]

Frees dynamically allocated data in the `self`, but not the `self` itself, and sets all members to zeros or equivalent. Does nothing when `self` is `NULL`. It can be called on the structure passed to the camel_store_db_read_message().

Available since: 3.58